Substy Developers
Inbox and fans

Configure creator chat inboxes

Enable or disable split inboxes and set their count from 2 to 9 for the creator. This changes the creator-wide inbox configuration.

PATCH/v1/agencies/{agencyId}/creators/{creatorId}/inbox-settings

Enable or disable split inboxes and set their count from 2 to 9 for the creator. This changes the creator-wide inbox configuration.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agencies/string/creators/string/inbox-settings" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "inboxCount": 2,    "enabled": true  }'
{  "data": [    {      "creatorId": "string",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "inboxNumber": 0    }  ],  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}